import * as assert from 'assert';
import Logger from '../index';

it('should log string', () => {
  assert.strictEqual('\'\'', Logger.inspectWrapper(''));
});

it('should log number', () => {
  assert.strictEqual('0', Logger.inspectWrapper(0));
  assert.strictEqual('1.1', Logger.inspectWrapper(1.1));
  assert.strictEqual('NaN', Logger.inspectWrapper(NaN));
});

it('should log object', () => {
  assert.strictEqual('null', Logger.inspectWrapper(null));
  assert.strictEqual('{}', Logger.inspectWrapper({}));
  assert.strictEqual('[]', Logger.inspectWrapper([]));
});
