'use strict';

const script = () => {
  const Helper = require('scripts-helper');
  const manager = Helper.PackageManagerFactory.instance.detectManager();
  const packages = ['typescript'];

  if (false === manager.requireAllGlobalPackages(packages)) {
    process.exit(1);
  }

  if (false === manager.shell('tsc')) {
    process.exit(1);
  }

};

script();

