'use strict';

const script = () => {
  const Helper = require('scripts-helper');
  const manager = Helper.PackageManagerFactory.instance.detectManager();
  const packages = ['ts-node', 'jasmine'];

  if (false === manager.requireAllGlobalPackages(packages)) {
    process.exit(1);
  }

  process.env['NODE_OPTIONS'] = `--require ${manager.globalModulePath}/ts-node/register`;

  if (false === manager.shell('jasmine .test/*.ts')) {
    process.exit(1);
  }
};

script();


